Bug 733947 - RFE: Exclude by SOURCERPM NVR (for entire builds)
Summary: RFE: Exclude by SOURCERPM NVR (for entire builds)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 15
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-28 20:37 UTC by Matt McCutchen
Modified: 2014-01-21 23:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:58:58 UTC


Attachments (Terms of Use)

Description Matt McCutchen 2011-08-28 20:37:11 UTC
Description of problem:
When there is a broken update in testing, I will typically want to exclude the entire build in the yum configuration.  Currently, the only way to achieve this is to write one or more name globs that match all packages of the build and no others, which can become messy for cases like https://admin.fedoraproject.org/updates/F15/FEDORA-2011-11526.

Yum should have a kind of exclude pattern that is matched against the SOURCERPM tag NVR for binary packages (may as well not make the user deal with the .src.rpm suffix) and the ordinary NVR for source packages, to make it easy to exclude entire builds.  A possible syntax is to prefix the pattern with "build:", e.g.:

exclude=build:gcc-4.6.1-8.fc15

Version-Release number of selected component (if applicable):
yum-3.2.29-9.fc15

Comment 1 Matt McCutchen 2011-08-29 21:33:51 UTC
I hoped that my patch for bug 734249 would automatically make "exclude=SOURCERPM=gcc-4.6.1-8.fc15.src.rpm" work, but found that exclusion takes an entirely different code path.  It would take some refactoring to have the necessary info available in all the necessary places in sqlitesack.py to do the exclusion.

At least now I can paste the output of "repoquery --plugins -qa SOURCERPM=gcc-4.6.1-8.fc15.src.rpm" into the exclude line in yum.conf.

Comment 2 Fedora Admin XMLRPC Client 2012-04-27 15:40:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2012-08-07 17:59:01 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.